> For the complete documentation index, see [llms.txt](https://docs.sdv.dev/sdv/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sdv.dev/sdv/~/changes/T3ZD1DOoRUEqkmrAGBZp/reference/support-and-troubleshooting.md).

# Support & Troubleshooting

In this section, you'll find answers to common errors and questions.&#x20;

<table data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="/pages/cXPZv8zg9cgr2MNVztWY"><strong>Installation</strong></a></td><td>Having trouble installing SDV on your machine? See the most common issues.</td></tr><tr><td><a href="/pages/MAZPfWCGm03sO0Swtz4o"><strong>SDV Usage</strong></a></td><td>Common problems and workarounds when using SDV features</td></tr></tbody></table>

## Can't find your issue?

Please [visit our GitHub](https://github.com/sdv-dev/SDV/issues) to browse all known issues and raise a new issue if you cannot find a solution.

{% hint style="danger" %}
**Important!** If you are encountering an Error, please provide as much detail as possible to help us replicate it. This includes:

* A code snippet to help us replicate the problem. The more easily we are able to recreate the error, the faster we can understand what is going wrong.
* The full stack trace of the code. That is, please copy-paste everything that is printed on your screen as part of the error, including the lines of code.
* Any other information that will allow us to replicate, especially the *metadata* you are using as well as any snippets of *training data*.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sdv.dev/sdv/~/changes/T3ZD1DOoRUEqkmrAGBZp/reference/support-and-troubleshooting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
